Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/build-support/gcc11/c99
diff options
context:
space:
mode:
Diffstat (limited to 'build-support/gcc11/c99')
-rw-r--r--build-support/gcc11/c9910
1 files changed, 10 insertions, 0 deletions
diff --git a/build-support/gcc11/c99 b/build-support/gcc11/c99
new file mode 100644
index 00000000..88dd8064
--- /dev/null
+++ b/build-support/gcc11/c99
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}